4 Replies Latest reply on Aug 4, 2017 3:13 AM by Ali Al-Abbasi

    Circular Pattern about specific point?

    Ali Al-Abbasi

      Hello Friends,

       

      I am trying to make a macro to build an arc with support lines. I am using (Circular Pattern) in the code to generate support lines pattern. The circular pattern should be around the origin point (0,0,0). But I am not able to fix the pattern center-point on the origin. Any idea..?

       

      Here is the code:

       

      boolstatus = swModel.Extension.SelectByID2("Line19", "SKETCHSEGMENT", 0, 0, 0, False, 0, Nothing, 0)

      boolstatus = swModel.CreateCircularSketchStepAndRepeat(((diameter / 2) - buis_dia), 4.71238898038477, dia1, (diag_angle_rad * 2), True, "")

       

      Keep in mind:

      1. The Arc radius changes every run.

      2. The arc angle changes every run.

      3. Number of the supports lines changes every run.

       

      Below, a picture illustrate the problem. You can see the circular pattern center-point is far from the origin. Thanks in advance....

      circularPattern.JPG